Bug 1077300 - perl-Finance-Quote: GnuCash no longer retrieves price information
perl-Finance-Quote: GnuCash no longer retrieves price information
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Development
Leap 42.3
x86-64 openSUSE 42.3
: P5 - None : Normal (vote)
: ---
Assigned To: Stanislav Brabec
E-mail List
maint:planned:update
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-23 21:28 UTC by George Baltz
Modified: 2020-10-25 10:40 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description George Baltz 2018-01-23 21:28:36 UTC
In November 2017 YAHOO killed off their legacy API for retrieving stock/mutual fund price quotes, which GnuCash utilized via the Perl-Finance-Quote module.  That package has since been updated(in CPAN) to use one of several new methods.

None of the current openSUSE products has been updated to the current (functional) version 1.47 - Leap ships 1.37, TW 1.38; although there are some in various repos, I am loathe to use random personally produced packages for financial purposes.

Please update P::F::Q to 1.47, if possible for 42.3, certainly for TW and 15.
Comment 1 Andreas Stieger 2018-01-23 22:03:09 UTC
assign to perl-Finance-Quote maintainer
Comment 2 George Baltz 2018-03-22 23:33:43 UTC
Can this be bumped so that it makes it into Leap 15?  I'd hate to have to wait for a version upgrade after the release.
Comment 4 Swamp Workflow Management 2018-03-29 16:09:00 UTC
openSUSE-RU-2018:0845-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1077300
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    perl-Finance-Quote-1.47-4.3.1
Comment 5 Swamp Workflow Management 2018-04-06 15:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1077300) was mentioned in
https://build.opensuse.org/request/show/594030 15.0 / perl-Finance-Quote
Comment 6 George Baltz 2018-06-12 18:13:21 UTC
As I feared, Leap 15.0 shipped with p:f:q 1.38, and gnucash is not working.

Can someone please publish the same patch for 15.0, and update Tumbleweed also?
Comment 7 Andreas Stieger 2018-06-12 21:49:50 UTC
The factory submission did not go through legal review:
https://build.opensuse.org/request/show/593458

@babelworx declined the legal report with the following comment: Finance-Quote-1.47/lib/Finance/Quote/MorningstarJP.pm is GPL-3.0+

Previous attempt did not go through and was not followed up on:
https://build.opensuse.org/request/show/594029

Trying again:
https://build.opensuse.org/request/show/616393
Comment 8 Swamp Workflow Management 2018-06-18 08:50:05 UTC
This is an autogenerated message for OBS integration:
This bug (1077300) was mentioned in
https://build.opensuse.org/request/show/617449 15.0 / perl-Finance-Quote
Comment 9 Andreas Stieger 2018-06-19 15:46:08 UTC
processed for maintenace
Comment 10 Swamp Workflow Management 2018-06-23 01:09:25 UTC
openSUSE-RU-2018:1795-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1077300
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    perl-Finance-Quote-1.47-lp150.2.3.1
Comment 11 George Baltz 2018-06-26 00:14:53 UTC
Sorry, but after updating to Leap 15.0 (with 1.47), GnuCash still can't get quotes.  The security editor in GnuCash says "Warning: Finance::Quote is not installed properly", and the Price Editor button "Get Quotes" is grayed out.

Running gnc-fq-check gives:

gwb@callahans:~/Documents/GnuCash> /usr/bin/gnc-fq-check
Can't locate CGI.pm in @INC (you may need to install the CGI module) (@INC contains: /usr/lib/perl5/site_perl/5.26.1/x86_64-linux-thread-multi /usr/lib/perl5/site_perl/5.26.1 /usr/lib/perl5/vendor_perl/5.26.1/x86_64-linux-thread-multi /usr/lib/perl5/vendor_perl/5.26.1 /usr/lib/perl5/5.26.1/x86_64-linux-thread-multi /usr/lib/perl5/5.26.1 /usr/lib/perl5/site_perl) at /usr/lib/perl5/vendor_perl/5.26.1/Finance/Quote/AEX.pm line 45.
BEGIN failed--compilation aborted at /usr/lib/perl5/vendor_perl/5.26.1/Finance/Quote/AEX.pm line 45.
Compilation failed in require at (eval 16) line 1.
BEGIN failed--compilation aborted at (eval 16) line 1.
 at /usr/bin/gnc-fq-check line 91.
Can't locate object method "methods" via package "Finance::Quote::AEX" at /usr/lib/perl5/vendor_perl/5.26.1/Finance/Quote.pm line 120.
Comment 12 George Baltz 2018-07-20 22:37:12 UTC
Well, duh!  The problem was right in front of my eyes.  Perl-CGI was not installed, as it was not listed as a dependency.  Installing Perl-CGI seems to have fixed the problem.

Real solution:

Somebody please add Requires: Perl(CGI) to the perl-Finance-Quote RPM.
Comment 14 Andreas Stieger 2018-07-24 05:02:39 UTC
Lower case "perl", please.
Comment 15 Swamp Workflow Management 2018-07-25 04:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1077300) was mentioned in
https://build.opensuse.org/request/show/625141 Factory / perl-Finance-Quote
Comment 16 Andreas Stieger 2018-07-25 05:18:23 UTC
Closing
Comment 17 Swamp Workflow Management 2018-08-01 13:07:44 UTC
openSUSE-RU-2018:2152-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 1077300
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    perl-Finance-Quote-1.47-4.8.1
openSUSE Leap 15.0 (src):    perl-Finance-Quote-1.47-lp150.2.8.1
Comment 18 Swamp Workflow Management 2019-03-25 20:12:03 UTC
openSUSE-RU-2019:1052-1: An update that has one recommended fix can now be installed.

Category: recommended (low)
Bug References: 1077300
CVE References: 
Sources used:
openSUSE Backports SLE-15 (src):    perl-Finance-Quote-1.47-bp150.3.3.1

*** NOTE: This information is not intended to be used for external
    communication, because this may only be a partial fix.
    If you have questions please reach out to maintenance coordination.
Comment 19 OBSbugzilla Bot 2020-10-25 10:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1077300) was mentioned in
https://build.opensuse.org/request/show/843870 Factory / perl-Finance-Quote